﻿app.service('Service', function ($http, $q) {
    this.WSForgetPassword = function (param) {
        return $http({
            url: domain + 'service/UsersWebService.asmx/ForgetPassword',
            dataType: 'json',
            method: 'POST',
            data: "{'email':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				ForgetPassword: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.getFileExchange = function (email) {
        var deferred = $q.defer();
        var data = { email: email }
        return $http({
            url: domain + "service/MonitorWebService.asmx/GetFileExchange",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMyAsins = function (email) {
        var deferred = $q.defer();
        var data = { email: email }
        return $http({
            url: domain + "service/ProductWebService.asmx/SGetMyAsins",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.insertDeleteMontiorProduct = function (productID, isMontior, email) {
        //   var  = 10;
        var data = { email: email, productID: productID, isMontior: isMontior }
        return $http({
            url: domain + "service/MonitorWebService.asmx/InsertDeleteMontiorProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return  response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetProductsByAsin = function (email, asinID) {
        //   var  = 10;
        var data = { email: email, asinID: asinID   }
        return $http({
            url: domain + "service/ProductWebService.asmx/GetProductsByAsin",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.AllProccessForFastSearch = function (email, suffixUrl) {
        //   var  = 10;
        var data = { email: email, suffixUrl: suffixUrl }
        return $http({
            url: domain + "service/ProductWebService.asmx/SAllProccessForFastSearch",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateMonitorInfoAllPerUser = function (email ) {
        //   var  = 10;
        var data = { email: email  }
        return $http({
            url: domain + "service/MonitorWebService.asmx/UpdateMonitorInfoAllPerUser",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.updateMonitorInfoStr = function (email,productID,monitorInfoStr) {
        //   var  = 10;
        var data = { email: email, productID: productID, monitorInfoStr: monitorInfoStr }
        return $http({
            url: domain + "service/MonitorWebService.asmx/UpdateMonitorInfoStr",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return                    response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.CheckVeroCompany = function (title) {
        //   var  = 10;
        var data = {title:title}
        return $http({
            url:"http://www.megasaleboot.com/service/webEbay.asmx/CheckVeroCompany",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return  
			response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.insertVeroCompany = function (company) {
        //   var  = 10;
        var data = { company: company }
        return $http({
            url: "http://www.megasaleboot.com/service/webEbay.asmx/InsertVeroCompany",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				veroCompany: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.SDeactivate = function (productID, token) {
        var deferred = $q.defer();
        var data = { productID: productID,token:token }
        return $http({
            url: domain + "service/ProductWebService.asmx/SDisactiveProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.Deactivate = function (productID) {
        var deferred = $q.defer();
        var data = { productID: productID }
        return $http({
            url: domain + "service/ProductWebService.asmx/DisactiveProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMyMonitorProducts = function (email) {
        var deferred = $q.defer();
        var data = { email: email }
        return $http({
            url: domain + "service/MonitorWebService.asmx/GetMyMonitorProducts",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			console.log(response)
			deferred.resolve(response)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMyProducts = function (email) {
        var deferred = $q.defer();
        var data = { email: email }
        return $http({
            url: domain + "service/ProductWebService.asmx/SGetMyProducts",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			console.log(response)
			deferred.resolve(response)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.check_login = function (email,pass) {
        //   var  = 10;
        var data = { email: email, Password:pass }
        return $http({
            url: domain + "Service/UsersWebService.asmx/checkLogin",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				item: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetDataSearch = function (param) {
        return $http.post("service/WebServiceUser.asmx/GetSearchData", param)
		.then(
		function (response) {
			return {
				Meals: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.AmazonDetails = function (param) {
        //   var  = 10;
        var data = { item: param }
        return $http({
            url: config.serviceBase + "service/SearchProductsWebService.asmx/AmazonDetails",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				item: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetProducts = function (param, page, location) {
        //   var  = 10;
        return $http({
            url: config.serviceBase + "service/SearchProductsWebService.asmx/GetProducts",
            dataType: 'json',
            method: 'POST',
            data: "{'keywords':'" + param + "'  ,'page':'" + page + "','location':'" + location + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetMultiQuickProducts = function () {
        //   var  = 10;
        return $http({
            url: config.serviceBase + "service/SearchProductsWebService.asmx/GetMultiQuickProducts",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetProductResearchInfo = function (items) {
        //   var  = 10;
        var data = { items: items  };
        return $http({
            url: config.serviceBase + "service/ResearchKeywords.asmx/GetProductResearchInfo",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				obj: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetProductResearch = function (param, suffixUrl) {
        //   var  = 10;
        var data = { product: param, suffixUrl: suffixUrl };
        return $http({
            url: config.serviceBase + "service/ResearchKeywords.asmx/GetProductResearch",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.FindTheCheapestProduct = function (param, suffixUrl) {
        //   var  = 10;
        var data = { desc: param, suffixUrl: suffixUrl };
        return $http({
            url: config.serviceBase + "service/webEbay.asmx/FindTheCheapestProduct",
            dataType: 'json',
            method: 'POST',
            data:data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetEbayListByProductDesc = function (param, WithSellerScore, WithProductInfo, WithSellThrough, suffixUrl, type) {
        //   var  = 10;
        if (type == null || type == '') {
            type = 'Amazon'
		}
        var data = { Desc: param, WithSellerScore: WithSellerScore, WithProductInfo: WithProductInfo, WithSellThrough: WithSellThrough, suffixUrl: suffixUrl, type: type }
        return $http({
            url: "service/webEbay.asmx/GetEbayListByProductDesc",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.FindProductInWalmart = function (param) {
        //   var  = 10;
        var data = { itemx: param }
        return $http({
            url: "service/webEbay.asmx/FindProductInWalmart",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.FindProductInAmazon = function (param, suffixUrl) {
        //   var  = 10;
        var data = { itemx: param, suffixUrl: suffixUrl }
        return $http({
            url: "service/webEbay.asmx/FindProductInAmazon",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetEbayListByProductApi = function (param, WithSellerScore) {
        //   var  = 10;
        var data = { url: param, WithSellerScore: WithSellerScore }
        return $http({
            url: "service/webEbay.asmx/GetEbayListByProductApi",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetEbayListByProduct = function (param, WithSellerScore) {
        //   var  = 10;
        var data = { url: param, WithSellerScore: WithSellerScore }
        return $http({
            url: "service/webEbay.asmx/GetEbayListByProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetItemsInPage = function (param, page, suffixUrl) {
        //   var  = 10;
        var data = { seller: param, page: page, suffixUrl: suffixUrl }
        return $http({
            url: "service/webEbay.asmx/GetListBySellerPaging",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				obj: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertSaveSeller = function (sellerName,comment) {
        //   var  = 10;
        var data = { sellerName: sellerName, comment: comment }
        return $http({
            url: config.serviceBase + "service/SuspectedSellersApiService.asmx/InsertSaveSeller",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				obj: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertSuspectedSellers = function (param) {
        //   var  = 10;
        var data = { seller: param }
        return $http({
            url: config.serviceBase + "service/SuspectedSellersApiService.asmx/InsertSuspectedSellers",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				obj: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.exportExcel = function (data) {
        //   var  = 10;
        var arr = { arr: data }
        return $http({
            url: "../service/AddOnsWebService.asmx/exportExcel",
            dataType: 'json',
            method: 'POST',
            data: arr,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				file: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetEbayProductsClub = function () {
        //   var  = 10;
        return $http({
            url: "../service/AddOnsWebService.asmx/GetEbayProductsClub",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetHRScanners = function () {
        //   var  = 10;
        return $http({
            url: "../service/AddOnsWebService.asmx/GetHRScanners",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetAliExpressProducts = function () {
        //   var  = 10;
        return $http({
            url: "../service/AddOnsWebService.asmx/GetAliExpressProducts",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetQuickProducts = function () {
        //   var  = 10;
        return $http({
            url: "../service/AddOnsWebService.asmx/GetQuickProducts",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.getSellThrough = function (param) {
        //   var  = 10;
        var data = { Keyword: param }
        return $http({
            url: "service/ResearchKeywords.asmx/getSellThrough2",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				SellThrough: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetNumberCompetitor = function (param) {
        //   var  = 10;
        var data = { Keyword: param }
        return $http({
            url: "service/ResearchKeywords.asmx/GetNumberCompetitor",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				Competitors: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.Contact = function (name,email,msg) {
        //   var  = 10;
        var data = { name: name,email:email,msg:msg }
        return $http({
            url: "service/ContactWebService.asmx/Send_Contact",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				res: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.searchKeywords = function (param) {
        //   var  = 10;
        var data = { Keyword: param }
        return $http({
            url: "service/ResearchKeywords.asmx/search",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetRelatedItems = function (param) {
        //   var  = 10;
        var data = { asinNumber: param }
        return $http({
            url: "../service/ProductWebService.asmx/FindRelatedItems",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.DeleteCouponProduct = function (param) {
        //   var  = 10;
        var data = { ID: param }
        return $http({
            url: "../service/AddOnsWebService.asmx/DeleteCouponProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				DeleteProduct: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetMyDiscountProducts = function () {
        //   var  = 10;
        var data = {}
        return $http({
            url: "../service/AddOnsWebService.asmx/GetMyDiscountProducts",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetDiscountProducts = function ( ) {
        //   var  = 10;
        var data = {  }
        return $http({
            url: "../service/AddOnsWebService.asmx/GetDiscountProducts",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetListBySpecialWalmart = function (param, addOnID,ID) {
        //   var  = 10;
        var data = { url: param, AddOnID: addOnID ,ID:ID}
        return $http({
            url: "../service/webEbay.asmx/GetListBySpecialWalmart",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetEbayListSpecialSearchScanner = function (param, addOnID) {
        //   var  = 10;
        var data = { ASIN: param, AddOnID: addOnID }
        return $http({
            url: "../service/webEbay.asmx/GetEbayListSpecialSearchScanner",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetListBySpecial = function (param,addOnID) {
        //   var  = 10;
        var data = { ASIN: param,  AddOnID: addOnID }
        return $http({
            url: "../service/webEbay.asmx/GetEbayListSpecialSearch",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetListBySpecialCaptions = function (param, addOnID) {
        //   var  = 10;
        var data = { ASIN: param, AddOnID: addOnID }
        return $http({
            url: "../service/webEbay.asmx/GetEbayListSpecialSearchCaptions",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.PostDiscountProducts = function (arr) {
        //   var  = 10;
        var data = { ProductsID: arr, }
        return $http({
            url: "../service/AddOnsWebService.asmx/PostDiscountProducts",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetListBySellerDeep2 = function (param, suffixUrl) {
        //   var  = 10;
        var data = { seller: param, suffixUrl: suffixUrl }
        return $http({
            url: "../service/webEbay.asmx/GetListBySellerDeep",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetListBySellerDeep = function (param, suffixUrl) {
        //   var  = 10;
        var data = { seller: param, suffixUrl: suffixUrl }
        return $http({
            url: "service/webEbay.asmx/GetListBySellerDeep",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetListBySeller = function (param) {
        //   var  = 10;
        var data = { seller: param }
        return $http({
            url: "service/webEbay.asmx/GetListBySeller",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				items: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.SaveProduct = function (param) {
        //   var  = 10;
        var data = { product: param }
        return $http({
            url: "service/ProductWebService.asmx/InsertProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				SaveProduct: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertUrl = function (url, AddOnID) {
        //   var  = 10;
        var data = { url: url, AddOnID: AddOnID }
        return $http({
            url: "../service/webEbay.asmx/InsertUrl",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				InsertUrl: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertAsin = function (Asin, AddOnID, suffixUrl, MinSoldGeneral,Level) {
        //   var  = 10;
        if (Level == null) { Level ="advanced"}
        var data = { Asin: Asin, AddOnID: AddOnID, SuffixUrl: suffixUrl, MinSoldGeneral: MinSoldGeneral, Level: Level }
        return $http({
            url: "../service/webEbay.asmx/InsertAsin",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				InsertAsin: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertCaptions = function (suffixUrl, asins) {
        var data = { suffixUrl: suffixUrl, asins: asins }
        return $http({
            url: "../service/webEbay.asmx/InsertCaptions",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				InsertCaptions: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertSellerList = function (sellerName) {
        //   var  = 10;
        var data = { sellerName: sellerName  }
        return $http({
            url: "../service/AddOnsWebService.asmx/InsertSellerList",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				InsertSeller: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.SaveProductt = function (param) {
        //   var  = 10;
        var data = { product: param }
        return $http({
            url: "../service/ProductWebService.asmx/InsertProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				SaveProduct: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.DeleteProduct = function (param) {
        //   var  = 10;
        var data = { product: param }
        return $http({
            url: "service/ProductWebService.asmx/DeleteProduct",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				DeleteProduct: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.DeleteAsin = function (param) {
        //   var  = 10;
        var data = { DeleteAsin: param }
        return $http({
            url: "../service/AddOnsWebService.asmx/DeleteAsin",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				DeleteAsin: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.DeleteSellerList = function (param) {
        //   var  = 10;
        var data = {sellerList: param }
        return $http({
            url: "../service/AddOnsWebService.asmx/DeleteSellerList",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				DeleteSellerList: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.DeleteSeller = function (param) {
        //   var  = 10;
        var data = { SellerName: param }
        return $http({
            url: "service/SuspectedSellersApiService.asmx/DeleteSeller",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				DeleteSeller: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetSellerInfo = function (param) {
        var deferred = $q.defer();
        var data = { sellerName: param }
        return $http({
            url: "../service/webEbay.asmx/GetSellerInfo",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetCategoriesWeek = function (param) {
        var deferred = $q.defer();
        var data = { addOn: param }
        return $http({
            url: "../service/ResearchKeywords.asmx/GetCategoriesWeek",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetCategoriesMonth = function (param) {
        var deferred = $q.defer();
        var data = { addOn: param }
        return $http({
            url: "../service/ResearchKeywords.asmx/GetCategoriesMonth",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetSavedSeller = function (param) {
        var deferred = $q.defer();
        var data = { addOn: param }
        return $http({
            url: "../service/SuspectedSellersApiService.asmx/GetSavedSeller",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMysearchesAliExpress = function () {
        var deferred = $q.defer();
        var data = {}
        return $http({
            url: "../service/AddOnsWebService.asmx/GetMysearchesAliExpress",
            dataType: 'json',
            method: 'POST',
            data: {},
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMyAsinsOnlyProducts = function (param) {
        var deferred = $q.defer();
        var data = { addOnID: param }
        return $http({
            url: "../service/AddOnsWebService.asmx/GetMyAsinsOnlyProducts",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMySellersList= function (param) {
        var deferred = $q.defer();
        var data = {  }
        return $http({
            url: "../service/AddOnsWebService.asmx/GetMySellersList",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetMyUrls = function (param) {
        var deferred = $q.defer();
        var data = { addOn: param }
        return $http({
            url: "../service/AddOnsWebService.asmx/GetMyUrls",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.Subscribe = function (param) {
        var data = { addOn: param }
        return $http({
            url: "../service/AddOnsWebService.asmx/Subscribe",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				Subscribe: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetMyAddOns = function () {
        var deferred = $q.defer();
        return $http({
            url: "../service/AddOnsWebService.asmx/GetMyAddOns",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetRandomMeals = function (param) {
        return $http({
            url: "service/WebServiceMeal.asmx/GetMeals",
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				Meals: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetRandomProfile = function (param) {
        return $http({
            url: "service/WebServiceUser.asmx/GetProfiles",
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				profiles: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetMStatusPnia = function (param) {
        return $http({
            url: "service/PniaService.asmx/GetStatusPnia",
            dataType: 'json',
            method: 'POST',
            data: "{'pniaID':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				StatusID: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetRandomProfileHost = function (param) {
        return $http({
            url: "service/ServiceUser.asmx/GetProfilesHost",
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				profiles: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetRandomProfileGuest = function (param) {
        return $http({
            url: "service/ServiceUser.asmx/GetProfilesGuest",
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				profiles: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.SendDataSearch = function (param) {
        return $http.post("service/ServiceUser.asmx/SendData", param)
		.then(
		function (response) {
			return {
				profiles: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.insertNewUser = function (param, transactionSubject) {
        //   var  = 10;
        var data = { user: param, transactionSubject: transactionSubject }
        return $http({
            url: "service/WebServiceUser.asmx/InsertNewUser",
            dataType: 'json',
            method: 'POST',
            data: data,
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				InsertUser: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    // this.insertNewUser = function (param,location) {
    //     return $http.post("service/WebServiceUser.asmx/InsertNewUser", param)
    //           .then(
    //            function (response) {
    //                return {
    //                    InsertUser: response.data.d,
    //                };
    //            },
    //            function (httpError) {
    //                //  translate the error
    //                var error;
    //                //  LostConnection();
    //            });
    // }
    this.UpdateUser = function (param) {
        //  return $http.post("service/WebServiceUser.asmx/UpdateUser", param)
        return $http.post("service/WebServiceUser.asmx/EditUser", param)
		.then(
		function (response) {
			return {
				UpdateUser: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetMyProfile = function () {
        var deferred = $q.defer();
        return $http({
            url: "service/WebServiceUser.asmx/GetMyProfile",
            dataType: 'json',
            method: 'POST',
            data: "{}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			deferred.resolve(response.data.d)
			return response.data.d;
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
        return deferred.promise;
	}
    this.GetAvailableMealsOfX = function (param) {
        return $http({
            url: "service/WebServiceMeal.asmx/GetAvailableMealsOfX",
            dataType: 'json',
            method: 'POST',
            // '{"jewellerId":"' + filter + '","locale":"' + locale + '"}'
            data: '{"MealsOfUserID":"' + param + '"}',
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				AvailableMealsOfX: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.RestoreMeal = function (param) {
        return $http({
            url: "service/WebServiceMeal.asmx/RestoreMeal",
            dataType: 'json',
            method: 'POST',
            // '{"jewellerId":"' + filter + '","locale":"' + locale + '"}'
            data: '{"MealID":"' + param + '"}',
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				RestoreMeal: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.BuyerWantChangeStatus = function (param) {
        return $http.post("service/WebServiceOrder.asmx/BuyerWantChangeStatus", param)
		.then(
		function (response) {
			return {
				BuyerWantChangeStatus: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.OrderByPaypal = function (param) {
        return $http.post("service/WebServiceOrder.asmx/BuyByPayal", param)
		.then(
		function (response) {
			return {
				BuyByPayal: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.SendMsgToX = function (param) {
        return $http.post("service/WebServiceMsg.asmx/SendMsgToX", param)
		.then(
		function (response) {
			return {
				SendMsgToX: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetMealOfX = function (param) {
        //   var  = 10;
        return $http({
            url: "service/WebServiceMeal.asmx/GetMealOfX",
            dataType: 'json',
            method: 'POST',
            data: "{'MealID':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				Meal: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.GetProfileOfX = function (param) {
        //   var  = 10;
        return $http({
            url: "service/WebServiceUser.asmx/GeProfile",
            dataType: 'json',
            method: 'POST',
            data: "{'UserID':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				Profile: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateGuestUser = function (param) {
        return $http.post("service/ServiceUser.asmx/UpdateGuestUser", param)
		.then(
		function (response) {
			return {
				insertHost: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateHostUser = function (param) {
        return $http.post("service/ServiceUser.asmx/UpdateHostUser", param)
		.then(
		function (response) {
			return {
				UpdateHostUser: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertHostHaveAlreadyGuestUser = function (param) {
        return $http.post("service/ServiceUser.asmx/InsertHostHaveAlreadyGuestUser", param)
		.then(
		function (response) {
			return {
				insertHost: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.insertNewGuest = function (param) {
        return $http.post("service/ServiceUser.asmx/insertNewGuest", param)
		.then(
		function (response) {
			return {
				insertGuest: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.InsertGuestHaveAlreadyHostUser = function (param) {
        return $http.post("service/ServiceUser.asmx/InsertGuestHaveAlreadyHostUser", param)
		.then(
		function (response) {
			return {
				insertGuest: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateGeneralSetting = function (param) {
        return $http.post("service/WebServiceUser.asmx/UpdateUser", param)
		.then(
		function (response) {
			return {
				update: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateHostSetting = function (param) {
        return $http.post("service/ServiceUser.asmx/UpdateHostSetting", param)
		.then(
		function (response) {
			return {
				update: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateGuestSetting = function (param) {
        return $http.post("service/ServiceUser.asmx/UpdateGuestSetting", param)
		.then(
		function (response) {
			return {
				update: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSIGuest_SentPnia = function (param) {
        return $http.post("service/PniaService.asmx/WSIGuest_SentPnia", param)
		.then(
		function (response) {
			return {
				Pnia: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.MySent = function (param) {
        return $http({
            url: 'service/WebServiceMsg.asmx/MySent',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				MySent: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.MyFullConverstaionWithX = function (param) {
        return $http({
            url: 'service/WebServiceMsg.asmx/MyFullConverstaionWithX',
            dataType: 'json',
            method: 'POST',
            data: "{'WithUser':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				MyFullConverstaionWithX: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.MyRecieve = function (param) {
        return $http({
            url: 'service/WebServiceMsg.asmx/MyRecieve',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				MyRecieve: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetMyOrdersMeals = function (param) {
        return $http({
            url: 'service/WebServiceMeal.asmx/WSGetMyOrdersMeals',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				MyOrdersMeals: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetOrdersToCook = function (param) {
        return $http({
            url: 'service/WebServiceMeal.asmx/WSGetOrdersToCook',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				OrdersToCook: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetMyPublishedMeals = function (param) {
        return $http({
            url: 'service/WebServiceMeal.asmx/WSGetMyPublishedMeals',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				MyPublishedMeals: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetMyPniotIGuest_History = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSGetMyPniotIGuest_History',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
		function (response) {
			return {
				MyPniotIGuest_History: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetMyPniotIHost_GuestSentMeActive = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSGetMyPniotIHost_GuestSentMeActive',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		})
		.then(
        function (response) {
            return {
                MyPniotIHost_GuestSentMeActive: response.data.d,
			};
		},
        function (httpError) {
            //  translate the error
            var error;
            //  LostConnection();
		});
	}
    this.WSGetPniotIHost_GuestSentHistory = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSGetPniotIHost_GuestSentHistory',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		}).then(
		function (response) {
			return {
				MyPniotIHost_GuestSentHistory: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSGetPniotIHost_GuestSentIapproved = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSGetPniotIHost_GuestSentIapproved',
            dataType: 'json',
            method: 'POST',
            data: "{'PageIndex':'" + param + "'}",
            headers: { "Content-Type": "application/json" }
		}).then(
		function (response) {
			return {
				MyPniotIHost_GuestSentIapproved: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSHistoryPniot = function (param) {
        return $http.post("service/PniaService.asmx/WSHistoryPniot", param)
		.then(
		function (response) {
			return {
				HistoryPniot: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSIGuestCancelPniaAfterApprove = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSIGuestCancelPniaAfterApprove',
            dataType: 'json',
            method: 'POST',
            data: param
		})
		.then(
		function (response) {
			return {
				GuestCancelPniaAfterApprove: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSIGuestCancelPnia = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSIGuestCancelPnia',
            dataType: 'json',
            method: 'POST',
            data: param
		})
		.then(
		function (response) {
			return {
				GuestCancelPnia: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSIHost_SendApprove = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSIHost_SendApprove',
            dataType: 'json',
            method: 'POST',
            data: param
		})
		.then(
		function (response) {
			return {
				IHost_SendApprove: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSIHostCancelPnia = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSIHostCancelPnia',
            dataType: 'json',
            method: 'POST',
            data: param
		})
		.then(
		function (response) {
			return {
				WSIHostCancelPnia: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSIHostCancelPniaAfterApprove = function (param) {
        return $http({
            url: 'service/PniaService.asmx/WSIHostCancelPniaAfterApprove',
            dataType: 'json',
            method: 'POST',
            data: param
		})
		.then(
		function (response) {
			return {
				WSIHostCancelPniaAfterApprove: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.WSHostWatched = function (param) {
        return $http.post("service/PniaService.asmx/WSHostWatched", param)
		.then(
		function (response) {
			return {
				HostWatched: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.RedirectToLogin = function (param) {
        return $http({
            url: 'service/ServiceUser.asmx/WSLogOut',
            dataType: 'json',
            method: 'POST',
            data: "{}"
		})
		.then(
		function (response) {
			return {
				result: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.UpdateMeal = function (param) {
        return $http.post("service/WebServiceMeal.asmx/UpdateMeal", param)
		.then(
		function (response) {
			return {
				UpdateMeal: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
    this.PublishMeal = function (param) {
        return $http.post("service/WebServiceMeal.asmx/PublishMeal", param)
		.then(
		function (response) {
			return {
				PublishMeal: response.data.d,
			};
		},
		function (httpError) {
			//  translate the error
			var error;
			//  LostConnection();
		});
	}
});
app.service('translationService', function ($http) {
    this.getTranslation = function ($scope, language) {
        var path = 'Langs/' + language + '.json';
        var ssid = language;
        if (sessionStorage) {
            if (sessionStorage.getItem(ssid)) {
                $scope.translation = JSON.parse(sessionStorage.getItem(ssid));
                lang = $scope.translation;
				} else {
                $.ajax({
                    url: path,
                    dataType: "json",
                    async: false,
                    success: function (data) {
                        sessionStorage.setItem(ssid, JSON.stringify(data));
                        $scope.translation = data;
                        lang = data;
					},
                    error: function (ajaxContext) {
                        alert(ajaxContext.responseText)
					}
				})
			};
			} else {
            $.ajax({
                url: path,
                dataType: "json",
                async: false,
                success: function (data) {
                    sessionStorage.setItem(ssid, JSON.stringify(data));
                    $scope.translation = data;
                    lang = data;
				},
                error: function (ajaxContext) {
                    alert(ajaxContext.responseText)
				}
			});
		}
	};
    this.GetStaticData = function ($scope, language) {
        var path = 'Langs/StaticData_' + language + '.json';
        var ssid = "StaticData";
        var DayExp = 10;
        // var StaticData = getCookie(ssid);
        // if (StaticData!=null) {
        //     if (StaticData!='') {
        //         $scope.StaticData = JSON.parse(StaticData);
        //     } else {
        $.ajax({
            url: path,
            dataType: "json",
            async: false,
            success: function (data) {
                sessionStorage.setItem(ssid, JSON.stringify(data));
                setCookie(ssid, JSON.stringify(data), DayExp)
                $scope.StaticData = data;
                //  lang = data;
			},
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
			}
		})
        //     };
        // } else {
        //     $.ajax({
        //         url: path,
        //         dataType: "json",
        //         async: false,
        //         success: function (data) {
        //             setCookie(ssid, JSON.stringify(data), DayExp)
        //             $scope.StaticData = data;
        //            //  lang = data;
        //         },
        //         error: function (ajaxContext) {
        //             alert(ajaxContext.responseText)
        //         }
        //     });
	// }
};
});