﻿
function ebay() {

   
    setTimeout(() => {
        if ($(".find-product").length > 0) {
            browser.storage.sync.get(["productDetails"], result => {
                let res = result.productDetails;
                let t = '<div class="search-bar" id="w0-find-product-search-bar"><div class="textbox flex-wrapper"><div class="input-wrapper"><input autofocus="" type="text" class="find-product" placeholder="Enter UPC, ISBN, part number, or product name" role="combobox" aria-owns="w0-find-product-search-bar-autocomplete" aria-expanded="false" aria-autocomplete="list" autocomplete="off" maxlength="100" value="' + res.title + '" id="w0-find-product-search-bar-search-field" data-w-onkeydown="checkKey|w0-find-product-search-bar"><span class="clear-input icon-close" data-w-onclick="clearInput|w0-find-product-search-bar"></span></div><button class="btn btn--primary btn--large" type="button" aria-label="Search" id="w0-find-product-search-bar-search-button" data-w-onclick="beforeSearch|w0-find-product-search-bar">Search</button></div></div>';
                let e = jQuery.Event("keydown");
                e.which = 50; // # Some key code value
                $(".find-product").val(res.title).attr("value", res.title).trigger(e);
                $('.search-bar').html(t);
                $("#w0-find-product-search-bar-search-button").click();
                setTimeout(() => $('.continue-without-product .btn').click(), 2000);
            })
        }
    }, 2000);

    browser.storage.sync.get(["productDetails", "growthPrice"], function (result) {
        browser.extension.sendRequest({ action: 'getDescription', token: result.productDetails.token }, function (desResponse) {
            if (desResponse) {
                result.desc = desResponse.desc.replace(/<!--.*?-->/gi, '').replace(/http:\/\//gi, 'https://')
                let res = result.productDetails;
                var title = res.title;
                if (title.length > 80) {
                    var length = 80;
                    while (title[length] != ' ' && length > 0) {
                        length--;
                    }

                    title = title.substring(0, length);
                }
                var haveVariation = res.colors.length > 0 || res.sizes.length > 0;
                $("#editpane_title").val(title);
                $("#upc").val('Does not apply');
                $("#itemCondition").val('1000');

                if ($('a[aria-label="Change location"]').length > 0) {
                    $('a[aria-label="Change location"]')[0].click();
                    $('select[name=itemCountry]').val('CN')
                    $('input[name=location]').val('Shanghai')
                }


                //looks like it is useless
                //$('[id="Listing.Item.ItemSpecific[Dimensions]"]').focus().val('3434311');
                var tempColors = res.colors.map(element => { return element.colorText; });
                $('select[name="_st_Country/Region of Manufacture"] option').eq(45).prop('selected', true); //china
                if ($('select[name=format]').val() !== 'FixedPrice')
                    $('#editpane_msku').html('<div><h2><strong>Variations</strong></h2><div><div class="info-small">If you sell multiple variations of your item, you can list all of them in one multi-quantity, fixed-price listing. This saves you time and money. </div><div class="edv-btnw"><a href="javascript:;" fn="opv" type="button" class="sbtn" id="var_create">Create variations</a></div><input type="hidden" id="var_upifield" value="upc"></div><input id="var_item_data" type="hidden" value="{&quot;variationItem&quot;:[],&quot;variationSpecificsMetaData&quot;:[],&quot;picture&quot;:[]}"></div>');
                $("input.opnd-vl").each(function (i) {
                    if (this.id == null) return;
                    else if (this.id.indexOf("Size") > -1 && res.sizes.length > 0) {
                        this.value = res.sizes.map(function (elem) {
                            return elem.sizeText;
                        }).join(",");
                    }

                    else if (this.id.indexOf("Brand") > -1 && this.value === "") this.value = res.brand;
                    else if (this.id.indexOf("Model") > -1) this.value = res.model;
                        /*else if (this.id.indexOf("Color") > -1 && res.colors.length > 0)
                            $(this)[0].value =  tempColors.join(',')*/
                    else if (this.id.indexOf("Material") > -1) this.value = res.material;
                    else if (this.id.indexOf("Gender") > -1) this.value = res.gender;
                    else if (this.id.indexOf("Style") > -1) this.value = res.type;
                    else if (this.id.indexOf("Weight") > -1) this.value = res.weight + "lbs";
                    else if (this.id.indexOf("Type") > -1) this.value = res.type;
                    else if (this.id.indexOf("MPN") > -1) this.value = 'Does not apply';
                    else if (this.id.indexOf("Features") > -1 && res.features) {
                        this.value = res.features;
                        for (let i = 0; i < res.features.length; i++) {
                            this.value = res.features[i];
                            $(".sbtn.xs-pad").each(function () {
                                $(this).prop('disabled', false);
                                $(this).trigger("click");
                            });
                            this.value = "";
                        }
                    }
                    else if (this.id.indexOf("Dimensions") > -1 && res.sizes.length >= 2)
                        this.value = res.sizes[0] + "X" + res.sizes[1] + "X" + res.sizes[2]
                });
                if (res.size.length > 0) {
                    $("#pkgLength").val(res.size[0]);
                    $("#pkgWidth").val(res.size[1]);
                    $("#pkgHeight").val(res.size[2]);
                }
                $("#majorUnitWeight").val(res.weight);
                var p = (res.price * result.growthPrice).toFixed(2)

                if (result.growthPrice.isProfitPrecentage) {
                    p = (res.price * result.growthPrice.growthPrice).toFixed(2)
                }
                else {
                    p = ((res.price * result.growthPrice.growthPrice) + result.growthPrice.profitCount).toFixed(2)
                }
                $("#binPrice").val(p);
                // looks like it is useless
                if ($("#descDiv a:contains('HTML')").length > 0) {
                    //console.log('"#v4-51_switchLnk a:contains(\'HTML\')', location.href);
                    $('#rteDiv [aria-label="Standard"]')[0].click();
                    setTimeout(function () {
                        $('#rteDiv [aria-label="HTML"]')[0].click();
                        setTimeout(function () {
                            if ($('#descDiv iframe').contents().find('body').text() == "") {
                                $('#descDiv iframe').contents().find('body').text('<div> ' + result.desc + ' </div>');
                                $('#descDiv iframe').submit();
                                $('#rteDiv [aria-label="Standard"]')[0].click();
                            }
                        }, 300);
                    }, 300);
                }
                setTimeout(() => {
                    if (document.getElementById("_isSave")) {
                        $("#_isTag").val('2');
                        $("#_isVal").val('3');
                        $("#_isSave")[0].click()
                        $(".eisi-padBtm .itsolp-rmvLnk:contains('Remove')").click();

                        res.itemSpecifics.forEach(function (item) {
                            var n = cutLength(item.name, 65)
                            $("#_isTag").val(n);
                            var v = cutLength(item.value, 65)
                            $("#_isVal").val(v);
                            $("#_isSave")[0].click()
                        });
                    }
                }, 1500);
                let globalPromise = new Promise(resolve => resolve(true));
                globalPromise
                    .then(() => { return new Promise(resolve => setTimeout(() => { resolve(true) }, 3000)) })
                    .then(() => {
                        if (location.href.indexOf('bulksell.ebay.com') > -1) {
                            let obj = $('input[name^=_st_CustomTag][value=2]').parent().find('.itsolp-rmvLnk');
                            if (obj.length) obj[0].click();
                        }
                    })
                    .then(() => {
                        if ($('#var_create').length > 0 && haveVariation) {
                            jQuery('#var_create')[0].click()
                        }
                        //if ($('#msku-attribute-add').length > 0)
                    })
                    .then(() => {
                        if (haveVariation == false) {
                            return new Promise(resolve =>     resolve(true))
                        }
                        return new Promise(resolve => setTimeout(() => { resolve(true) }, 1000))
                    })
                    .then(() => { //should be in another content script for color choose
                        let obj = $('#msku-attribute-add');
                        if (obj.length > 0) {
                            let unnecessaryAttrs = $(".var-tag span a");
                            for (let i = 0; i < unnecessaryAttrs.length; i++) unnecessaryAttrs.eq(i)[0].click();
                            //$(".var-tag span a").each(() => {$(this).click()});
                            obj[0].click();
                            var haveColor = false;
                            var haveSize = false;
                            $("#msku-variation-checkbox-list label").each(function () {
                                if ($(this).text() === "Color" && res.colors.length > 0) {
                                    $(this)[0].click(); haveColor = true
                                }
                                if ($(this).text().indexOf("Size  Type") > -1 && res.sizes.length > 0) {
                                    $(this)[0].click(); haveSize = true
                                }
                            });

                            if ($("#msku-add-parent-tag-btn").length > 0)
                                $("#msku-add-parent-tag-btn")[0].click();

                            let tempSizes = [];

                            if (res.sizes.length > 0)
                                tempSizes = res.sizes.map(element => { return element.sizeText.toLowerCase(); });

                            if (!haveColor && res.colors.length > 1) {
                                $('#msku-attribute-add')[0].click()
                                $("#msku-own-parent-tag-checkbox").click()
                                $("#msku-custom-parent-attribute-input").val('Color');
                                $("#msku-add-parent-tag-btn")[0].click();
                            }

                            if (!haveSize && res.sizes.length > 1) {
                                $('#msku-attribute-add')[0].click()
                                $("#msku-own-parent-tag-checkbox").click()
                                $("#msku-custom-parent-attribute-input").val('Size  Type');                                 
                                $("#msku-add-parent-tag-btn")[0].click();


                            }
                            if ($("#msku-add-parent-tag-btn").length > 0)
                                $("#msku-add-parent-tag-btn")[0].click();


                           
                             
                            $('.var-tag span.inline-block').each(function () {
                                $(this)[0].click();
                                
                                

           
                                var isFound = false;
                                var isFoundSize = false
                                let tempColors = [];


                                if (res.colors.length > 0)
                                    tempColors = res.colors.map(element => { return element.colorText.toLowerCase(); });


                                $("div#msku-variations-body li").each(function () {
                                    let txt = $(this).text().toLowerCase();
                                    if (tempSizes.indexOf(txt) > -1) { $(this)[0].click(); isFoundSize = true }
                                    if (tempColors.indexOf(txt) > -1) { $(this)[0].click(); isFound = true }
                                });

                                if ( $(this).text().indexOf("Color") > -1 && ((!isFound || !haveColor) && ($("#msku-variation-add-list").length > 0 && $("#msku-variation-add-list")[0].className == "hide"))) {
                                    for (var i = 0; i < tempColors.length; i++) {
                                        $("#msku-custom-option-link")[0].click()
                                        $("#msku-custom-option-input").val(tempColors[i])
                                        $("#msku-custom-option-add")[0].click()
                                    }
                                }
                                if ($(this).text().indexOf("Size")>-1 && (!isFoundSize || !haveSize) && ($("#msku-variation-add-list").length > 0)) {
                                    for (var i = 0; i < tempSizes.length; i++) {
                                        if ($("#msku-custom-option-link").length > 0) {
                                            $("#msku-custom-option-link")[0].click()
                                            $("#msku-custom-option-input").val(tempSizes[i].toUpperCase())
                                            $("#msku-custom-option-add")[0].click()
                                        }
                                    }
                                }

                              
                               
                            });
                        }
                    })
                    .then(() => {
                        if (haveVariation == false) {
                            return new Promise(resolve =>     resolve(true))
                        }
                        return new Promise(resolve => setTimeout(() => resolve(true), 1000))
                    })
                    .then(() => { })
                    .then(() => {
                        if (haveVariation == false) {
                            return new Promise(resolve =>     resolve(true))
                        }
                        return new Promise(resolve => setTimeout(() => resolve(true), 1000))
                    })
                    .then(() => {

                    })
                    .then(() => {
                        if (haveVariation == false) {
                            return new Promise(resolve =>     resolve(true))
                        }
                        return new Promise(resolve => setTimeout(() => resolve(true), 1000))
                    })
                    .then(() => {
                        let obj = $('#msku-create-variations-button');
                        if (obj.length > 0) obj[0].click();
                        window.passClickImportWebLink = false;
                    })
                    .then(() => {
                        if (haveVariation == false) {
                            return new Promise(resolve =>     resolve(true))
                        }
                        return new Promise(resolve => setTimeout(() => resolve(true), 2000))
                    })
                    .then(() => {


                        //if ($("#msku-photos_options").length > 0 && $("#msku-photos_options")[0].options > 0)
                        //{
                        //    setTimeout(() => varsInput.val($("#msku-photos_options")[0].options[1].value).change(), 1000);
                        //}
                        if (res.colors.length > 0) {

                            let varsInput = $("#msku-photos_options");
                            setTimeout(() => varsInput.val('Color').change(), 1000);

                            if (varsInput.length > 0) {
                                let txt = varsInput[0].options[1].innerText;
                                if (txt === 'Color' || txt === 'Style') {
                                    let vPhotoSec = $("#variation-photos-sections");
                                    vPhotoSec.show();
                                    let element = document.createElement("input");
                                    //Assign different attributes to the element.
                                    element.type = 'button';
                                    element.value = 'Copy Details'; // Really? You want the default value to be the type string?
                                    element.name = 'bb'; // And the name too?
                                    element.onclick = function () { // Note this is a function
                                        //alert(title);
                                        addVar()
                                    };
                                    let yourCustomJavaScriptCode = "$('#msku-photos_options').val('Color').change();"
                                    //"$('#msku-photos_options').val(#msku-photos_options')[0].options[1].value).change()";
                                    let script = document.createElement('script');
                                    let code = document.createTextNode('(function() {' + yourCustomJavaScriptCode + '})();');
                                    script.appendChild(code);
                                    (document.body || document.head).appendChild(script);
                                    vPhotoSec.append(element);
                                    varsInput.val('Color').change();
                                    // varsInput.val($("#msku-photos_options")[0].options[1].value).change()
                                    $('input[name=windowName]').val('photo-iframe-picupload-variations');
                                    $('input[name=uploaderType]').val('v2');
                                    $('#msku_iframe').submit();
                                    $('#uploader_form').submit();
                                }
                            }
                            setTimeout(function () { varsInput.val('Color').change() }, 400);
                            setTimeout(function () { varsInput.val('Color').change() }, 1500);
                            //if ($("#msku-photos_options").length > 0 && $("#msku-photos_options")[0].options > 0) {
                            //    setTimeout(() => varsInput.val($("#msku-photos_options")[0].options[1].value).change(), 400);
                            //    setTimeout(() => varsInput.val($("#msku-photos_options")[0].options[1].value).change(), 1500);
                            //}
                            if (location.href.indexOf('bulkedit.ebay.com/msku') > -1) { //IN IFRAME
                                let promiseSequence = new Promise(resolve => setTimeout(() => resolve(true), 3000));
                                delete variantsAdded;
                                promiseSequence = promiseSequence.then(() => {
                                    return new Promise(resolve => {
                                        console.log('adding default');
                                        browser.runtime.sendMessage({
                                            action: 'addVariantUrl',
                                            window: 'default',
                                            callback: true
                                        });
                                        let interval = setInterval(() => {
                                            if (typeof variantsAdded !== 'undefined') {
                                                delete variantsAdded;
                                                clearInterval(interval);
                                                setTimeout(() => { resolve(true) }, 3000);
                                            }
                                        }, 10);
                                    })


                                })
                                $("#msku-photos_variations li").each(function (i) {
                                    promiseSequence = promiseSequence.then(() => {
                                        return new Promise(resolve => {
                                            console.log('adding color ' + $(this).find('a').text().toLowerCase());
                                            $(this).click(); // click on color
                                            browser.runtime.sendMessage({
                                                action: 'addVariantUrl',
                                                color: $(this).find('a').text().toLowerCase(),
                                                window: 'variations',
                                                callback: true
                                            });
                                            let interval = setInterval(() => {
                                                if (typeof variantsAdded !== 'undefined') {
                                                    delete variantsAdded;
                                                    clearInterval(interval);
                                                    setTimeout(() => { resolve(true) }, 3000);
                                                }
                                            }, 10);
                                        })
                                    })



                                });
                                promiseSequence.then(() => {
                                    if (res.price < 1) {
                                        res.price = 1;
                                    }
                                    if ($("#bulk_price_btn").length > 0) {
                                        $(".grid-head input[type='checkbox']").click();
                                        $("#bulk_price_btn").click();
                                        var p;
                                        if (result.growthPrice.isProfitPrecentage) {
                                            p = (res.price * result.growthPrice.growthPrice).toFixed(2)
                                        }
                                        else {
                                            p = ((res.price * result.growthPrice.growthPrice) + result.growthPrice.profitCount).toFixed(2)
                                        }
                                        $("#msku-bulkedit-prc").val(p);
                                        $("button[svc='priceDialogSvcId']:contains('Save')").click();
                                        $(".grid-head input[type='checkbox']").click(); //uncheck checkboxes

                                        $(".grid-body tr").each(function (i) {
                                            let item = $(".grid-body tr")[i];
                                            if (item && item.querySelector(".prc input") && item.querySelector(".qty input")) {
                                                item.querySelector(".prc input").value = p;
                                                item.querySelector(".qty input").value = 1;
                                                for (let colorData of res.colors) {
                                                    if (item.innerText.toLowerCase().indexOf(colorData.colorText.toLowerCase()) > -1) {
                                                        var ps;

                                                        if (colorData.price < 1) {
                                                            colorData.price = 1;
                                                        }

                                                        if (result.growthPrice.isProfitPrecentage) {
                                                            ps = (colorData.price * result.growthPrice.growthPrice).toFixed(2)
                                                        }
                                                        else {
                                                            ps = ((colorData.price * result.growthPrice.growthPrice) + result.growthPrice.profitCount).toFixed(2)
                                                        }

                                                        item.querySelector(".prc input").value = ps;


                                                        item.querySelector(".chk input[type='checkbox']").click();
                                                        $("#bulk_price_btn").click();
                                                        $("#msku-bulkedit-prc").val(ps);
                                                        $("button[svc='priceDialogSvcId']:contains('Save')").click();
                                                        item.querySelector(".chk input[type='checkbox']").click();//uncheck checkbox
                                                    }
                                                }
                                            }
                                        });
                                    }
                                })

                                promiseSequence.then(() => { return new Promise(resolve => setTimeout(() => resolve(true), 3000)) });
                                promiseSequence.then(() => {
                                    console.log('import button click');
                                    $('#msku-footer .btn--primary')[0].click(); //import button
                                });

                            }
                        }
                        else {
                            let obj = $(".copyfrom .copyWebLink2:contains('web')");
                            if (obj.length > 0) {
                                obj[0].click();
                                window.passClickImportWebLink = true;
                            }
                            
                            for (let i = 1; i < res.images.length; i++)
                                if ($("#cw-addUrl").length > 0) $("#cw-addUrl")[0].click()
                            $("#cw-inpList input").each(function (i) {
                                if (res.images.length - 1 >= i) $(this).val(res.images[i].imgSrc);
                            });

                            if (res.sizes.length > 0)
                            {
                                $(".grid-body tr").each(function (i) {
                                    let item = $(".grid-body tr")[i];
                                    if (item && item.querySelector(".prc input") && item.querySelector(".qty input")) {
                                      
                                        for (let sizeData of res.sizes) {
                                            if (item.innerText.toLowerCase().indexOf(sizeData.sizeText.toLowerCase()) > -1) {
                                                var ps;

                                                if (sizeData.price < 1) {
                                                    colorData.price = 1;
                                                }

                                                if (result.growthPrice.isProfitPrecentage) {
                                                    ps = (sizeData.price * result.growthPrice.growthPrice).toFixed(2)
                                                }
                                                else {
                                                    ps = ((sizeData.price * result.growthPrice.growthPrice) + result.growthPrice.profitCount).toFixed(2)
                                                }

                                                item.querySelector(".prc input").value = ps;


                                                item.querySelector(".chk input[type='checkbox']").click();
                                                $("#bulk_price_btn").click();
                                                $("#msku-bulkedit-prc").val(ps);
                                                $("button[svc='priceDialogSvcId']:contains('Save')").click();
                                                item.querySelector(".chk input[type='checkbox']").click();//uncheck checkbox
                                            }
                                        }
                                    }
                                });


                                setTimeout(() => {
                                    console.log('import button click');
                                    $('#msku-footer .btn--primary')[0].click(); //import button
                                },3000);
                            }

                            if (window.passClickImportWebLink == false) return;

                            setTimeout(() => {
                                let obj = $(".buttonPair .btn:contains('Import')");
                                if (obj.length > 0) {
                                    obj[0].click();
                                    window.passImportWebLink = true;
                                }
                            }, 3000);
                        }
                    })
            }

        });
    });

    
   // "<h4 class="lip"><a href="https://www.ebay.com/itm/292725880426" title="" aria-label="" id="success_msg_title" fn="shw_active" target="_blank">60pcs/lot Led bouncy balls soft rubber glowing smile ball mix color flash</a><span>(Item ID: 292725880426)</span></h4>"
    $(".cfm-cnt .lip").bind("DOMSubtreeModified", function () {
        console.log('changed');
        console.log($(".cfm-cnt .lip"))
    });
     
}
function addVar() {
    $("#msku-photos_options").val('Color').change()
}


$(document).ready(function () {
    $('#actionbar.large-btn').length > 0 && $('#actionbar.large-btn').click(function (event) {
        if ($(event.target).attr("value") === "List item") {
            //  alert("The paragraph was clicked.");
            browser.storage.sync.get(["productDetails", "auth"], function (result) {
                var data = {
                    p: {
                        Url: result.productDetails.url, Title: $("#editpane_title").val(), Price: result.productDetails.price,
                        ImgUrl: result.productDetails.images[0].imgSrc, Website: result.productDetails.website
                    }, email: result.auth.email
                }
                debugger
                browser.runtime.sendMessage({ start: "insertProduct", data: data }, function (response) {

                });
            });;
        }
    });
});


var variantsAdded, imagesAreAdded;
browser.runtime.onMessage.addListener((request, sender) => {
    switch (request.action) {
        case 'addVariantUrl':
            if (location.href.indexOf('picupload.ebay.com') > -1) {
                $(() => {
                    if ($('#tg-thumbs .prog[data^=i]').length > 0) return;
                    if (request.window !== undefined) {
                        let reqWindowName;
                        if (request.window === 'variations') reqWindowName = 'photo-iframe-picupload-variations';
                        else if (request.window === 'default') reqWindowName = 'photo-iframe-photos-default';
                        let windowName = /"windowName":"([^"]+)"/.exec($('script').eq(5).text())[1];
                        if (windowName !== reqWindowName) return;
                    }
                    //console.log('adding url for ' + request.color, location.href);
                    let importButton = $(".cw-btnPairWrap .btn.btn-prim.btn-m:contains('Import')").eq(0);
                    browser.storage.sync.get(["productDetails"], result => {
                        //if (importButton.is(':visible')) than "add from url" already pressed, no need to press it again
                        $("#ab-actBarTop .slotsRemaining .multiple  a.copyWebLink2")[0].click();
                        let res = result.productDetails;
                        if (request.window === 'default') {
                            for (let i in res.images) {
                                if (res.images.hasOwnProperty(i) === false) continue;
                                $("ol#cw-inpList input")[i].value = res.images[i].imgSrc;
                                if (i === 11) break; //only 12 images allowed
                                if (i < res.images.length - 1) $("#cw-addUrl")[0].click();
                            }
                        }
                        else {
                            for (let colorData of res.colors) {
                                if (colorData.colorText.toLowerCase() === request.color.toLowerCase()) {
                                    $("ol#cw-inpList input")[0].value = colorData.colorImg;
                                    break;
                                }
                            }
                        }
                        importButton[0].click();
                        browser.runtime.sendMessage({ action: 'setVariantsAdded', callback: true });
                    });
                })
            }
            break;
        case 'setVariantsAdded': variantsAdded = true; break;
        case 'imagesAreAdded': imagesAreAdded = true; break;
    }
});

