var descObj = {};
var isRunBulkNow = false;
console.log('back')
browser.runtime.onMessage.addListener(function (request, sender, sendResponse) {
    console.log('back')

    if (request.callback) {
        request.sender = sender;
        browser.tabs.sendMessage(sender.tab.id, request);
    }
    else switch (request.action) {
        case 'images':
            console.log('images images')
            let promises = [
                new Promise((resolve, reject) => {
                    $.ajax({
                        type: "POST", contentType: "application/json; charset=utf-8", dataType: "json",
                        url: "https://dropeextool.com/" + "Service/UploadWebService.asmx/uploadImages",
                        data: JSON.stringify({ srcImages: request.images, email: request.email }),
                        success: response => resolve(response.d), failure: () => reject(),
                    })
                }),
                new Promise((resolve, reject) => {
                    $.ajax({
                        type: "POST", contentType: "application/json; charset=utf-8", dataType: "json",
                        url: "https://dropeextool.com/" + "Service/UploadWebService.asmx/uploadImagesVariation",
                        data: JSON.stringify({ srcImages: request.variations }),
                        success: response => resolve(response.d), failure: () => reject(),
                    });
                })
            ];
            Promise.all(promises).then(result => sendResponse({ images: result[0], variations: result[1] }));
            return true;
        case 'importEbay':
            console.log('importEbay')
            var suffix = request.country;
            var product = JSON.stringify(request.product)
            browser.tabs.create(
                { active: true, url: 'https://bulksell.ebay.' + suffix + '/ws/eBayISAPI.dll?SingleList&sellingMode=AddItem' },
                tab => {
                    browser.tabs.executeScript(tab.id, { code: "var runImport = true;var product1=" + product, runAt: 'document_start' })
                    products[tab.id] = request.product;
                }
            );
            break;
        case 'buildTitle':
            var keyword = request.keyword.replace(' ', '%20')
            $.ajax({
                url: 'https://autosug.ebay.com/autosugtype?kwd=' + keyword + '&_jgr=1&sId=0&_ch=0&callback=nil',
                async: true,
                dataType: 'text',
                success: function (response) {
                    // console.log(response)
                    sendResponse({
                        response: response,

                    });
                   
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    //  console.log(jqXHR)
                }
            });
            return true
            break;
        case 'getPages':
            $.ajax({
                url: domain + 'Service/UploadWebService.asmx/getPage', type: "POST",
                data: JSON.stringify({ page: request.page }),
                contentType: "application/json; charset=utf-8", dataType: "json",
                async: false,
                success: (r) => {
                    code = r;
                    sendResponse({
                        response: code,

                    });
                    // code = 'console.log("example");';
                }, error: (e) => {
                    console.log(e);
                }
            });
            break;


    }
});
var counterBulk = 0;
var products = {};
browser.runtime.onMessage.addListener(function (request, sender, sendResponse) {

    if (request.start == "runBulk") {


        sendResponse({
            isRunBulkNow: isRunBulkNow,
            counterBulk: counterBulk
        });
        counterBulk++;

    }
})
console.log('back')
function stopBulk(countUrls) {
    setTimeout(function () { isRunBulkNow = false; counterBulk = 0; }, 25 * 1000 * countUrls)
}
function fastStopBulk() {
    setTimeout(function () { isRunBulkNow = false; counterBulk = 0 }, 0)
}
browser.runtime.onMessage.addListener(function (msg, sender, sendResponse) {
    if (msg.text == "what is my tab_id?") {
        sendResponse({ tab: sender.tab.id, product: products[sender.tab.id] });
    }
});