﻿console.log('ebayOrders');





$(document).ready(function () {
    browser.storage.sync.get(["auth", "disableExtension"], result => {
        if (result && result.disableExtension) {
            return;
        }
        browser.runtime.sendMessage({ start: "myProducts", email: result.auth.token },
            function (response) {
                console.log(response);
                var products = response.products.filter(function (element) {
                    return ((element.Website == "AliExpress" || element.Website == 'Banggood-EU' || element.Website == 'Banggood-US')
                        && element.ItemIDEbay != null)
                });
                for (var j = 0; j < products.length; j++) {
                    newUI(products, j);
                    oldUI(products, j)
                }

            });
    });
});

function oldUI(products, j) {
    $("tbody.dt-nsb tr.dt-ntb").each(function (i) {
        //console.log($(this)[0]);
        //console.log($(this)[0].className.indexOf('item-info'))


        // console.log('insert'); dt-ntb dt-slb dt-fr
        var itemDiv = $(this).find("#BuyerIdNameEmail>div>span");
        console.log(itemDiv)

        if (itemDiv.length > 0) {

            var itemID = itemDiv.html().replace(")", "").replace("(", "").trim();
            if (itemID == products[j].ItemIDEbay) {
                var url = products[j].Url
                var x = $(this).parent().prev();
                while (x.find("#RecordNumber>div>a").attr('href') == null) {
                    x = x.prev();
                }
                var linkDetails = x.find("#RecordNumber>div>a").attr('href');
                var quantity = $(this).find("PurchasedQty").text() == '' ?
                    x.find("#PurchasedQty").text() : $(this).find("PurchasedQty").text();

                var variation = [];
                var variationSpan = $(this).find("#BuyerIdNameEmail div div b");
                if (variationSpan.length > 0) {
                    variationSpan.each(function (i) {
                        variation.push(variationSpan[i].innerHTML.toLowerCase())
                    })
                }


                var element = document.createElement("input");
                element.style.cssText = ' text-align:center;width: 100%;background: #26B99A; cursor:pointer;    box-shadow: 1px 3px 9px 0 rgba(0, 0, 0, 0.16); border: 1px solid #bdbdbd;color:white';
                element.type = 'button';
                element.value = 'Go To Aliexpress Product By Dropeex' // + products[j].Website + ' by dropeex'
                element.name = 'bb'; // And the name too?
                element._onclick = function (event) { // Note this is a function 
                    var order = { url: url, variation: variation, quantity: quantity };
                    browser.storage.sync.set({ "order": order }, function () {
                        location.href = linkDetails;
                    });
                }
                element.onclick = function (event) { // Note this is a function 
                    var order = { url: url, variation: variation, quantity: quantity };
                   // browser.storage.sync.set({ "order": order }, function () {
                    location.href = url;
                  //  });
                }
                // itemDiv[index].insertAdjacentElement('afterbegin', element);
                itemDiv.append(element);
            };

        }

    });
}

function newUI(products, j) {
    $(".table-grid-component tr").each(function (i) {
        //console.log($(this)[0]);
        //console.log($(this)[0].className.indexOf('item-info'))

        if ($(this).length > 0 && $(this)[0].className.indexOf('item-info') > -1) {
            // console.log('insert');
            var itemDiv = $(this).find(".item-itemID");
            if ($(this).find(".item-itemID") && $(this).find(".item-itemID").length > 0) {
                var itemID = $(this).find(".item-itemID").html().replace(")", "").replace("(", "").trim();
                if (itemID == products[j].ItemIDEbay) {
                    var url = products[j].Url
                    var quantity = $(this).find(".quantity-mod").text() == '' ? $(this).prev().find(".quantity-mod").text() : $(this).find(".quantity-mod").text();
                    var x = $(this).prev();
                    while (x.find(".order-default-cell a").attr('href') == null) {
                        x = x.prev();
                    }
                    var linkDetails = x.find(".order-default-cell a").attr('href');
                    var variation = [];
                    var variationSpan = $(this).find(".item-variations strong span");
                    if (variationSpan.length > 0) {
                        variationSpan.each(function (i) {
                            variation.push(variationSpan[i].innerHTML.toLowerCase())
                        })
                    }
                    var element = document.createElement("input");
                    element.style.cssText = ' text-align:center;width: 100%;background: #26B99A; cursor:pointer;    box-shadow: 1px 3px 9px 0 rgba(0, 0, 0, 0.16); border: 1px solid #bdbdbd;color:white';
                    element.type = 'button';
                    element.value = 'Go To Aliexpress Product By Dropeex' // + products[j].Website + ' by dropeex'
                    element.name = 'bb'; // And the name too?
                    element._onclick = function (event) { // Note this is a function 
                        var order = { url: url, variation: variation, quantity: quantity };
                        browser.storage.sync.set({ "order": order }, function () {
                            location.href = linkDetails;
                        });
                    }
                    element.onclick = function (event) { // Note this is a function 
                        var order = { url: url, variation: variation, quantity: quantity };
                        // browser.storage.sync.set({ "order": order }, function () {
                       // location.href = url;
                        //  });

                        window.open(
url,
'_blank' // <- This is what makes it open in a new window.
);
                    }
                     itemDiv.append(element);
                };
            }
        }
    });
}

$(document).ready(function () {
    if (location.href.indexOf('details') > -1 || location.href.indexOf('EditSalesRecord') > -1) {
        browser.storage.sync.get(["auth", "disableExtension", "order"], result => {
            if (result  && !result.auth) {
                return;
            }


            let element = document.createElement("input");
            //Assign different attributes to the element.
            element.style.cssText = style;
            element.type = 'button';
            element.value = "Copy Order Details"
            element.name = 'bb'; // And the name too?
            element.onclick = function (event) { // Note this is a function

                copyDetails()
                element.value='copy done !'

            };
            if (!result.disableExtension && result.order && result.order.url)
                copyDetails()

            $("body").prepend(element);


        });
    }
});

function copyDetails() {

    setTimeout(function () {
        browser.storage.sync.get(["order", "disableExtension"], function (result) {
            //if (result && result.disableExtension) {
            //    return;
            //}
            
                var order;

                var city = '';
                var phone = ''
                if ($("#ship-address div").length > 0) {
                    city = $("#ship-address div")[2].innerHTML.split(' ')[0];
                    if ($("#ship-address div")[2].innerHTML.split(' ').length > 3) {
                        city = $("#ship-address div")[2].innerHTML.split(' ')[0] + ' ' + $("#ship-address div")[2].innerHTML.split(' ')[1];
                    }
                }

                if ($(".info-wrapper .info-item dd").length > 0) {
                    phone = $(".info-wrapper .info-item dd")[2].innerHTML.split(' ')[1];
                    if (phone == null) {
                        phone = $(".info-wrapper .info-item dd")[2].innerHTML.split(' ')[0];
                    }
                }

                if ($("#ship-address div").length != 0) {
                    order =
                   {
                       url: result.order.url,
                       name: $("#ship-address div")[0].innerHTML,
                       street: $("#ship-address div")[1].innerHTML,
                       city: city,
                       country: $("#ship-address div")[3].innerHTML,
                       phone: getPhone(),
                       address2: $("[name ='buyeraddress2']").val(),
                       variation: result.order.variation,
                       quantity: result.order.quantity,
                       state: $("#ship-address div")[2].innerHTML.split(' ')[$("#ship-address div")[2].innerHTML.split(' ').length - 2],
                       zip: $("#ship-address div")[2].innerHTML.split(' ')[$("#ship-address div")[2].innerHTML.split(' ').length - 1]
                   };
                }
                else {
                    order =
                        {

                            buyer: '',
                            street: '',
                            city: '',
                            country: '',
                            phone: '',
                            address2: '',
                            zip: '',
                            state: '',
                            quantity: '',
                        }
                    getEbayOrderDetails(order);
                    if (order.buyer == '') {
                        getEbayOrderDetails2(order);
                    }
                    // order.country = "United States"
                    //   order.state = "Alabama"
                    // order.city = "Aliceville";
                    order.url = result.order && result.order.url
                    order.name = order.buyer;
                    order.quantity = result.order && result.order.quantity
                    order.variation = result.order && result.order.variation;

                }

                if (($("[name ='buyercountry']").length > 0 && $("[name ='buyercountry'] option:selected").text() == 'United States') ||
                     ($("#ship-address div").length > 0)) {
                    order.state = $("[name ='buyerstateprovince']").length > 0 ? $("[name ='buyerstateprovince']").val() : $("#ship-address div")[2].innerHTML.split(' ')[$("#ship-address div")[2].innerHTML.split(' ').length - 2];
                }

                if ($("[name ='buyerzip']").length > 0 || $("#ship-address div").length > 0) {
                    order.zip = $("[name ='buyerzip']").length > 0 ? $("[name ='buyerzip']").val() : $("#ship-address div")[2].innerHTML.split(' ')[$("#ship-address div")[2].innerHTML.split(' ').length - 1];
                }
                browser.storage.sync.set({
                    "order": order


                }, function () {
                    browser.storage.sync.set({ "arriveFromEbay": true });
                    if (result.order && result.order.url)
                        location.href = result.order.url;
                });
            
        });
    }, 3000);
}


function getPhone() {
    var phone = $("#dayphone1").val();
    if ($("#dayphone2").length > 0) {
        phone += "-" + $("#dayphone2").val()
    }
    if ($("#dayphone3").length > 0) {
        phone += "-" + $("#dayphone3").val()
    }
    return phone;
}
function getEbayOrderDetails2(order) {

    if ($("#buyercontactname").length > 0)
        order.buyer = $("#buyercontactname").val();

    if ($("#buyeraddress1").length > 0)
        order.street = $("#buyeraddress1").val()

    if ($("#buyercity").length > 0)
        order.city = $("#buyercity").val()

    if ($("#buyercountry").length > 0)
        order.country = $("#buyercountry option:selected").text();

    if ($("#dayphone1").length > 0)
        order.phone = getPhone();

    if ($("#buyeraddress2").length > 0)
        order.address2 = $("#buyeraddress2").val();

    if ($("#buyerzip").length > 0)
        order.zip = $("#buyerzip").val();

    if ($("#buyerstateprovince").length > 0)
        order.state = $("#buyerstateprovince").val()

    if ($("#ERSShipnHand").length > 0)
        order.quantity = $("#ERSShipnHand td:first").html();

}
function getEbayOrderDetails(order) {
    for (var i = 0; i < Object.keys(order).length; i++) {
        var label = Object.keys(order)[i];
        $(".info-item").each(function (index) {
            var propName = $(this).find('dt.info-label').text().trim();
            if (propName && propName.toLowerCase().indexOf(label) > -1) {

                if (label == 'buyer' && $(".user-name").length>0)
                {
                    order[label] = $(".user-name").text()
                }

               else if ((label == 'phone' || label == 'buyer') && $(this).find(".sh-tooltip").length == 0) {
                    order[label] = $(this).find("dd").text().replace($(this).find("dd span").text(), "");

                    return false;
                }

                else {
                    order[label] = $(this).find(".sh-tooltip").text().replace("Copied", "").replace("!", "").trim();;
                    return false;
                }


            }

        })
    }

    return ""
}