var domain = "https://www.dropeex.com/";
 // domain = "http://localhost:58316/"
browser.runtime.onMessage.addListener(function (request, sender, sendResponse) {
	
    if (request.start == "templates") {

        var template;
        var result = "";
        browser.storage.sync.get(["templateSetting"], function (resultHtml) {
            //alert(resultHtml.templateSetting.templateName);
            jQuery.ajax({

                url: browser.extension.getURL("/templates/" + resultHtml.templateSetting.templateName + ".html"),
                success: function (result) {


                    if (resultHtml.templateSetting.backgroundColorHeader) {
                        result = result.replace('.est-listinghead {background: #0e4681 ;}', '.est-listinghead {background: ' + resultHtml.templateSetting.backgroundColorHeader + ' ;}');
                        result = result.replace('.est-listinghead {color: #0e4681 ;}', '.est-listinghead {color: ' + resultHtml.templateSetting.backgroundColorHeader + ' ;}');

                    }

                    template = $('<div/>').append(result);



                    if (resultHtml && resultHtml.templateSetting) {
                        template.find("#templateshiptxt").html(resultHtml.templateSetting.shipping)
                        template.find("#templatepaytxt").html(resultHtml.templateSetting.payment)
                        template.find("#templatereturntxt").html(resultHtml.templateSetting._return)

                    }
                    else {
                        template.find("#templateshiptxt").html('')
                        template.find("#templatepaytxt").html('We accept payment only through PAYPAL.')
                        template.find("#templatereturntxt").html('')
                    }




                    sendResponse({
                        template: template.html(),
                        country: resultHtml.templateSetting.country
                    });

                },
                async: false
            });
        });
        return true;


    }
});
//browser.runtime.onMessage.addListener(function (request, sender, sendResponse) {
//    if (request.start == "templates") {
//        var templates = [];
//        var template;
//        jQuery.ajax({
//            url: browser.extension.getURL("/templates/template1.html"),
//            success: function (result) {
//                template = $('<div/>').append(result);
//                templates.push(template.html())

//                sendResponse({
//                    template: template.html()
//                });
//            },
//            async: false
//        });
//    }
//});
browser.runtime.onMessage.addListener(function (request, sender, sendResponse) {
    if (request.start == "checkForVero") {
        var data = { title: request.title }
        $.ajax({
            type: "POST",
            async: false,
            url: "http://www.megasaleboot.com/Service/webEbay.asmx/CheckVeroCompany",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                sendResponse({
                    isVero: response.d
                });
            },
            failure: function (response) {
                console.log(response.d);
            }
        });
    }
    if (request.start == "myProducts") {
        // domain = "http://localhost:60099/";
        var data = { email: request.email }
        $.ajax({
            type: "POST",
            async: false,
            url: domain + "service/ProductWebService.asmx/SGetMyProducts",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                sendResponse({
                    products: response.d
                });
            },
            failure: function (response) {
                console.log(response.d);
            }
        });
    }
    if (request.start == "images") {
        var colors = [];
        var images = [];
        var data = { srcImages: request.images }
        $.ajax({
            type: "POST",
            async: false,
            url: domain + "Service/UploadWebService.asmx/uploadImages",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                console.log(response);
                images = response.d;
            },
            failure: function (response) {
                console.log(response.d);
            }
        });



        data = { srcImages: request.colors }
        $.ajax({
            type: "POST",
            async: false,
            url: domain + "Service/UploadWebService.asmx/uploadImagesVariation",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                console.log(response);
                colors = response.d
            },
            failure: function (response) {
                console.log(response.d);
            }
        });

        sendResponse({
            colors: colors, images: images
        });
    }

    if (request.start == "login") {
        var data = { email: request.email, Password: request.password, }
        $.ajax({
            type: "POST",
            async: false,
            url: domain + "Service/UsersWebService.asmx/checkLogin",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                sendResponse({
                    auth: response.d
                });
            },
            failure: function (response) {
                console.log(response.d);
            }
        });
    }


    if (request.start == "insertProduct") {
        console.log(request);
        var data = request.data;
        if (request.data.p.MoreDetails == null) {
            request.data.p.MoreDetails = "";
        }
        // domain = "http://localhost:60099/";
        $.ajax({
            type: "POST",
            url: domain + "Service/ProductWebService.asmx/InsertProduct",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                console.log(response);
            },
            failure: function (response) {
                console.log(response.d);
            }
        });
    }
});


app.controller("ProductController", ['$scope', 'Service', '$timeout', '$location',
   'NgTableParams', '$q', '$window', '$http', '$filter', '$uibModal', 'Notification',
function ($scope, Service, $timeout, $location, NgTableParams, $q, $window, $http, $filter, $uibModal, Notification) {


    $scope.WSForgetPassword = function () {

        if ($("#emailForForget").val() != "") {

            var email = $("#emailForForget").val()
            Service.WSForgetPassword(email).then(function (data) {

                if (data == null) {
                    $("#NoteForForget").html("Check the email you typed in. This email does is not an email of a dropeex user.");
                }
                if (data.ForgetPassword != null) {
                    $("#NoteForForget").html("The password sent to your Email");
                }


            });

        }
    }

    $scope.disableExtension = function () {
        browser.storage.sync.set({ "disableExtension": $scope.checkbox.disableExtension }, function () {
        });
    }

    $scope.fullscreen = function () {
        $scope.modalInstance = $uibModal.open({
            templateUrl: 'products.html',
            name: 'sectorFormModal',
            scope: $scope,
            backdrop: true,


        });
        $scope.modalInstance.result.then(function (r) {

        }, function (r) {

        });

    }
    $scope.onChangeConfirmWatched = function () {
        browser.storage.sync.set({ "confirmWatched": true })
    }
    $scope.videoBeforeStart = function () {
        $scope.modalInstance = $uibModal.open({
            templateUrl: 'videoBeforeStart.html',
            name: 'sectorFormModal',
            scope: $scope,
            backdrop: true,


        });
        $scope.modalInstance.result.then(function (r) {

        }, function (r) {

        });

    }

    $scope.closePopUp = function () {
        $scope.modalInstance.close('');
    }
    $scope.login = function (isComeFromButton) {
        if ($scope.email == '' || $scope.email == null) {
         
            return;
        }
        Service.check_login($scope.email, $scope.password).then(function (data) {

             if (data==undefined|| data==null|| data.item == null) {
                $scope.isAuth = false;
                 $("#errorLogin").show();
                $("#errorLogin").html("username or password is incorrect")
                $scope.$apply()
            }
            else {
                $scope.isAuth = true;
                $scope.token = data.item.Token
              
                browser.storage.sync.set({ "auth": { email: $scope.email, password: $scope.password, token: data.item.Token } }, function () {

                });
                if (isComeFromButton) {

                    getProducts($scope.token);
                    GetUserSettings($scope.token)
                }
                browser.storage.sync.get([ "confirmWatched"], function (result) {
                    if (result.confirmWatched != true) {
                        $scope.videoBeforeStart();

                    }
                })
                 

                
            }

        });

    }
    var count = 15
    $scope.BuildTable = function (data, count) {
        //  data.forEach(function (element) { delete element.Course; });
        if (count == null) {
            count = 15;
        }
        var initialParams = {
            count: count // initial page size
        };
        var initialSettings = {
            counts: [],
            paginationMaxBlocks: 13,
            paginationMinBlocks: 2,
            getData: function ($defer, params) {
                if (params == null) {
                    return data
                }
                // use build-in angular filter

                var filters = !(Object.entries(params.filter()).length === 0 && params.filter().constructor === Object && $scope.filters) ? params.filter() : $scope.filters;
                //var filteredData = params.filter() ?
                //    $filter('filter')(data, params.filter()) :
                //    data;
                $scope.filter(filters, data, params, $defer, false)

            }
        };
        $scope.tableParams = new NgTableParams(initialParams, initialSettings);
    }
    $scope.filter = function (filters, data, params, $defer, needRebind) {
        var filteredData = data;

        if (filters.title) {
            filteredData = $filter('include')(filteredData, filters.title, "Title");
        }


        if (params) {
            var orderedData = params.sorting() ?
            $filter('orderBy')(filteredData, params.orderBy()) :
            filteredData;





            params.total(orderedData.length); // set total for recalc pagination
            $defer.resolve(orderedData.slice((params.page() - 1) * params.count(), params.page() * params.count()));
        }

        if (needRebind)
            $scope.BuildTable($scope.records, 15);
    }
    $scope.onClickfilter = function () {
        $scope.BuildTable($scope.tableParams.settings().getData(), count);

    }
    $scope.openUrl = function (item) {
        browser.tabs.create({ url: item.Url });
        return false;
    }
    $scope.openUrl2 = function (item) {
        browser.tabs.create({ url: item.AffiliateLink || item.Url });
        return false;
    }
    $scope.openLink = function (Url) {
        browser.tabs.create({ url: Url });
        return false;
    }
    $scope.setGrowthPrice = function () {
        var k;
        if ($scope.isProfitPrecentage) {
            k = parseFloat(1 + parseFloat($scope.profitPercentage) / 100)
        }

        browser.storage.sync.set({
            "growthPrice": {
                isProfitPrecentage: $scope.isProfitPrecentage,
                profitCount: parseFloat($scope.profitCount),
                growthPrice: k,
                breakEven: $scope.breakEven,
                profitPercentage: $scope.profitPercentage
            }
        }, function () {
        });
        return k
    }
    $scope.setShipping = function () {
        var k = parseFloat(1 + parseFloat($scope.growthPrice) / 100)
        browser.storage.sync.set({ "growthPrice": $scope.growthPrice }, function () {
        });
    }
    function setStorageTemplateSetting() {
        var k = $scope.setGrowthPrice();
        browser.storage.sync.set({
            "templateSetting":
                {
                    shipping: $scope.shipping, country: $scope.country,
                    payment: $scope.payment, _return: $scope.return,
                    backgroundColorHeader: $scope.backgroundColorHeader,
                    templateName: $scope.selectedTemplateName
                }
        });

        browser.storage.sync.get(["templateSetting"], function (response) {
            console.log(response)
        });
    }

    $scope.saveTemplateSetting = function () {
        //var k = $scope.setGrowthPrice();



        //browser.storage.sync.set({
        //    "templateSetting":
        //        {
        //            shipping: $scope.shipping, country: $scope.country,
        //            payment: $scope.payment, _return: $scope.return,
        //            backgroundColorHeader: $scope.backgroundColorHeader,
        //            templateName: $scope.selectedTemplateName 
        //        }
        //});

        //browser.storage.sync.get(["templateSetting"], function (response) {
        //    console.log(response)
        //});
        setStorageTemplateSetting()

        var data = {
            userSettings: {
                Shipping: $scope.shipping == null ? "" : $scope.shipping,
                BackgroundColorHeader: $scope.backgroundColorHeader == null ? "#0e4681" : $scope.backgroundColorHeader,
                TemplateName: $scope.templateName == null ? "template1" : $scope.selectedTemplateName,
                Payment: $scope.payment == null ? "" : $scope.payment,
                _Return: $scope.return == null ? "" : $scope.return,
                IsProfitPrecentage: $scope.isProfitPrecentage == null ? true : $scope.isProfitPrecentage,
                BreakEven: $scope.breakEven == null || $scope.breakEven == "" ? 14 : $scope.breakEven,
                ProfitCount: $scope.profitCount == null || $scope.profitCount == "" ? 0 : $scope.profitCount,
                Country: $scope.country == null ? "com" : $scope.country,
                ProfitPercentage: $scope.profitPercentage == null || $scope.profitPercentage == "" ? 0 : $scope.profitPercentage,
                Balance: $scope.balance
            }
            , email: $scope.token

        }
        $.ajax({
            type: "POST",
            url: domain + "Service/UsersWebService.asmx/SInsertUserSettings",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                console.log(response);
                if (response.d) {
                    Notification.success('your setting has been updated successfully');
                }
            },
            failure: function (response) {
                console.log(response.d);
            }
        });
    }
    $scope.show = function (key, event) {
        Object.keys($scope.view).forEach(function (key) {
            $scope.view[key] = false;
        });
        // $("ul.nav li").css('background', '#2C3E50');
        $(".nav1 li").removeClass('active');
        $(".nav1 li").removeClass('Rectangle-16');

        event.currentTarget.classList.add('Rectangle-16')
        event.currentTarget.parentNode.classList.add('active')
        $scope.view[key] = true;

        if (key == 'vero') {
            $scope.msgVero = "";
        }

        if (key == 'Scanner') {
            $timeout(
            function () {
                var $ = document.querySelector.bind(document);
                var ps = new PerfectScrollbar('.TableSection ', {})
            }, 500)
        }
    }
    $scope.init = function () {

        $scope.view = { 'products': true, 'template': false }

        $scope.checkbox = {};
        $scope.checkbox.disableExtension = false;
        $scope.isAuth = false;
        //get UserSettings 
        // $scope.backgroundColorHeader = "#B6DE5D";
        browser.storage.sync.get(["auth", "confirmWatched"], function (result) {
            // console.log( result)
            if (result != null && result.auth !== undefined && result.auth.email && result.auth.password) {
                
                $scope.email = result.auth.email
                $scope.password = result.auth.password
                $scope.$apply()
                console.log($scope.email)
                getProducts(result.auth.token);
                GetUserSettings(result.auth.token)
                GetAllTemplates();
                $scope.getMyAsins();
                $scope.loadBulkContent()
                GetMyMonitorProducts($scope.email)
            }
            $scope.login()
        })


        setDefaultVariables()

    }
    function GetAllTemplates() {
        $scope.templates = [{ name: 'template1', html: '' },
            { name: 'template2', html: '' },
         { name: 'template3', html: '' },
          { name: 'template4', html: '' }];

        $scope.templates.forEach(function (element) {
            jQuery.ajax({
                url: browser.extension.getURL("/templates/" + element.name + ".html"),
                success: function (result) {
                    element.html = result;
                }
            });
        });


    }
    $scope.updateMonitorInfoStr = function (item) {
        getEmail().then(function (email) {
            Service.updateMonitorInfoStr(email, item.ProductID, item.MonitorInfoStr).then(function (data) {
                if (data) {
                    Notification.success('The Prices/Stock update in our system so we will not warn you on the same change');
                }
            });
        })
    }

    var maxProdcutsMonitor = 8;
    $scope.checkBeforeSelected = function (item) {

        Notification.info({ message: 'we monitor product that you upload from 29.3.19 ', delay: 2000 });
        if (!item.MonitorInfoStr) {
            Notification.info({ message: 'sorry but you can monitor product that you upload from 28.3.19 ', delay: 8000 });
            item.isMonitor = false;
            return;
        }
        var count = 0;
        $scope.tableParams.data.forEach(function (element) {
            if (element.isMonitor) {
                count++
            }
        })
        if (count > maxProdcutsMonitor) {
            item.isMonitor = false;
            alert("we are in beta version of the monitor so it's limted to 8 products ")
            return;
        }
        getEmail().then(function (email) {
            Service.insertDeleteMontiorProduct(item.ID, item.isMonitor, email).then(function (data) {
                if (data) {
                    if (item.isMonitor) { console.log('The Product will start be monitor') }
                    else { console.log('The Product deleted successfully from monitor list  ') }
                }
            });
        })
    }

    $scope.chooseTemplate = function (templateName) {
        $scope.selectedTemplateName = templateName;
        $(".templateDiv").css('border', '1px solid black');
        // event.currentTarget.childNodes[1].style.border = '3px solid green'

        $(".templateDiv").each(function (element) {
            if ($(this).text().trim() == templateName) {
                $(this)[0].style.border = '3px solid green'
            }
        })
    }
    function setDefaultVariables() {
        if (isNaN($scope.breakEven)) {
            $scope.breakEven = 0;
        }
        if (isNaN($scope.profitCount)) {
            $scope.profitCount = 0;
        }
        if (isNaN($scope.profitPercentage)) {
            $scope.profitPercentage = 0;
        }
        if (isNaN($scope.country)) {
            $scope.country = "com";
        }
        if (!(typeof ($scope.isProfitPrecentage) === "boolean")) {
            $scope.isProfitPrecentage = true;
        }
    }
    function getProducts(email) {
        var Products = Service.GetMyProducts(email);
        $q.all([Products]).then(function (responses) {
            console.log(responses);
            $scope.data = responses[0]
            $scope.BuildTable($scope.data);
        });
    }

    function GetMyMonitorProducts(email) {

        var Products = Service.GetMyMonitorProducts(email);
        $q.all([Products]).then(function (responses) {
            console.log(responses);
            var data = responses[0];
            $scope.data3 = [];
            data.forEach(function (element) {
                $scope.data3.push({
                    CreatedDateStr: element.CreatedDateStr,
                    LastDateMonitorStr: element.LastDateMonitorStr,
                    PriceStr: element.PriceStr,
                    ProductID: element.Monitor.ProductID,
                    Stock: element.Monitor.Stock,
                    ImgUrl: element.Product.ImgUrl,
                    Url: element.Product.Url,
                    Title: element.Product.Title,
                    Website: element.Product.Website,
                    Description: element.Monitor.Description,
                    MonitorInfoStr: element.Product.MonitorInfoStr
                })

            })

            $scope.BuildTable3($scope.data3);
        });

    }



    $scope.Deactivate = function (productID) {
        var r = confirm("are you sure you want delete this item?");
        if (r == true) {
            var result = Service.SDeactivate(productID, $scope.token);
            $q.all([result]).then(function (responses) {
                getProducts($scope.token);
            });
        }

    }
    $scope.export = function () {
        $scope.arrEX = [];
        $scope.arrEX.push()
        $scope.arrEX.push(['Link', 'Website', 'Title',
                 'Item cost', 'Ebay Price', 'Profit ', 'Fee', 'ImgUrl'])
        $scope.tableParams.settings().getData().forEach(function (element, index, array) {

            var growthPrice;
            var newPrice = 0;
            var soldInMonth = 0;
            var profit = 0;

            if (isNaN(element.BreakEven) == false && element.BreakEven > 0) {
                if (element.IsProfitPrecentage) {
                    growthPrice = parseFloat(1 + parseFloat(element.ProfitPercentage) / 100)

                }

                //if (element.IsProfitPrecentage) {
                //    newPrice = (element.Price * growthPrice).toFixed(2)
                //}
                //else {
                //    newPrice = ((element.Price * growthPrice) + element.ProfitCount).toFixed(2)
                //}


                if (element.IsProfitPrecentage) {
                    newPrice = ((element.Price / ((100 - element.BreakEven) / 100)) * growthPrice).toFixed(2);
                }
                else {
                    newPrice = ((element.Price / ((100 - element.BreakEven) / 100)) + element.ProfitCount).toFixed(2);
                }

                if (element.IsProfitPrecentage) {
                    profit = newPrice - (element.Price / ((100 - element.BreakEven) / 100)).toFixed(2);

                }
                else {
                    profit = element.ProfitCount
                }

                var fee = newPrice * 0.144;
                //if (element.MoreDetails != null && element.MoreDetails != '') {
                //    var moreDetails = JSON.parse(element.MoreDetails)
                //    soldInMonth = moreDetails['soldInMonth']
                //}

                $scope.arrEX.push([element.Url, element.Website, element.Title,
                        element.Price, newPrice, profit, fee, element.ImgUrl])

            }
            else {
                $scope.arrEX.push([element.Url, element.Website, element.Title,
            element.Price, '', '', '', element.ImgUrl])
            }



        });
        exportToCsv("items.csv", $scope.arrEX)


    }
    $scope.getFileExchange = function () {
        var arrEX = [];
        var r = confirm("After download the file  The prices/stock will be update in our system . please load the file csv to ebay website . are you sure ? ");
        if (r == true) {
            getEmail().then(function (email) {
                Service.getFileExchange(email).then(function (data) {

                    if (data) {
                        var rows = JSON.parse(data)
                        arrEX.push(['Action', 'ItemID', 'Quantity',
                       'StartPrice', 'Relationship', 'RelationshipDetails'])
                        for (var i = 0; i < rows.length; i++) {
                            var element = rows[i]
                            //if (element.Item3 && !isNaN(element.Item3)) {
                            //    element.Item3 = parseFloat(element.Item3) + 2;
                            //    element.Item4 = parseFloat(element.Item4) + 3.5;
                            //}

                            arrEX.push([element.Item1, element.Item2, element.Item3, element.Item4, element.Item5, element.Item6])
                        }


                        exportToCsv("items.csv", arrEX);
                        Service.UpdateMonitorInfoAllPerUser(email).then(function (data) {
                            if (data) {

                                Notification.success({ message: ' The Prices/Stock update in our system please upload the file to ebay ', delay: 8000 });
                            }
                        });
                    }
                });
            })

            //update all prices


        }

    }

    $scope.insertVeroCompany = function () {

        Service.insertVeroCompany($scope.veroCompany).then(function (data) {
            if (data.veroCompany.Result) {
                // $scope.msgVero = "Thank you for expand our vero list";

                Notification.success("Thank you for expand our vero list");
            }
            else {
                // Notification.error(data.veroCompany.Message);

            }

        }).catch(function (fallback) {
            // $scope.Seaching = false;
        });
    }

    $scope.AllProccessForFastSearch = function () {
        browser.storage.sync.get(["auth"], function (result) {
            // console.log( result)
            if (result != null && result.auth.email && result.auth.password) {
                var email = result.auth.email;
                Service.AllProccessForFastSearch(result.auth.token, 'com').then(function (data) {
                    $scope.resultRobots = data.items;
                    $scope.BuildTable2($scope.resultRobots)
                    $scope.getMyAsins();
                }).catch(function (fallback) {
                    // $scope.Seaching = false;
                });
            }
        })
    }

    function getEmail() {
        return new Promise(resolve => {
            browser.storage.sync.get(["auth"], function (result) {
                // console.log( result)
                if (result != null && result.auth.email && result.auth.password) {
                    resolve(result.auth.email)
                }
            })
        })
    }

    $scope.loadBulkContent = function () {
        browser.storage.sync.get(["bulkUrls"], function (result) {
            if (result != null && result.bulkUrls) {
                $scope.bulkUrls = result.bulkUrls;
            }
        });
    }
    $scope.cleanBulkContent = function () {
        $scope.bulkUrls = '';
        browser.storage.sync.set({ "bulkUrls": '' }, function () {
            var background = browser.extension.getBackgroundPage();
            background.fastStopBulk()
        });
    }
    $scope.saveBulkContent = function () {
        var bulkUrls = $scope.bulkUrls.split('\n')
        bulkUrls.forEach(function (element) {
            if (element.indexOf('www') == -1 && /^\d+$/.test(element)) {
                element = "https://www.aliexpress.com/item/" + element + ".html";
            }
        })

        browser.storage.sync.set({ "bulkUrls": $scope.bulkUrls }, function () {
        });
    }
    $scope.runBulk = function () {
        Notification.success("We start run bulk,please click on list item in ebay in each tab");
        var background = browser.extension.getBackgroundPage();
        background.isRunBulkNow = true;

        //   browser.storage.sync.set({ "runBulk": true }, function () {
        var bulkUrls = $scope.bulkUrls.split('\n')
        var j = 0;
        bulkUrls.forEach(function (url) {

            if (url.indexOf('www') == -1 && /^\d+$/.test(url)) {
                url = "https://www.aliexpress.com/item/" + url + ".html";
            }
            browser.tabs.create({ url: url });


        });
        background.stopBulk(bulkUrls.length)

        //  });

    }

    $scope.getMyAsins = function () {
        browser.storage.sync.get(["auth"], function (result) {
            // console.log( result)
            if (result != null && result.auth.email && result.auth.password) {
                var email = result.auth.email;
                Service.GetMyAsins(result.auth.token, 'com').then(function (data) {
                    $scope.asins = data;
                }).catch(function (fallback) {
                    // $scope.Seaching = false;
                });
            }
        })
    }
    $scope.refreshSetting = function () {
        browser.storage.sync.get(["auth"], function (result) {
            // console.log( result)
            if (result != null && result.auth.email && result.auth.password) {
                var email = result.auth.email;
                GetUserSettings(result.auth.token);
            }
        });
    }
    $scope.onChangeAsin = function () {
        browser.storage.sync.get(["auth"], function (result) {
            // console.log( result)
            if (result != null && result.auth.email && result.auth.password) {
                var email = result.auth.email;
                Service.GetProductsByAsin(email, $scope.asin.AddOnID).then(function (data) {
                    console.log(data);
                    $scope.resultRobots = data.items;
                    $scope.BuildTable2($scope.resultRobots);
                    GetUserSettings()

                }).catch(function (fallback) {
                    // $scope.Seaching = false;
                });
            }
        })
    }

    $scope.BuildTable2 = function (data) {
        //  data.forEach(function (element) { delete element.Course; });
        var initialParams = {
            count: 1000 // initial page size
        };
        var initialSettings = {
            counts: [],
            paginationMaxBlocks: 13,
            paginationMinBlocks: 2,
            dataset: data
        };
        $scope.tableParams2 = new NgTableParams(initialParams, initialSettings);
    }

    $scope.BuildTable3 = function (data) {
        //  data.forEach(function (element) { delete element.Course; });
        var initialParams = {
            count: 1000 // initial page size
        };
        var initialSettings = {
            counts: [],
            paginationMaxBlocks: 13,
            paginationMinBlocks: 2,
            dataset: data
        };
        $scope.tableParams3 = new NgTableParams(initialParams, initialSettings);
    }
    function GetUserSettings(email) {
        var data = { email: email }
        $.ajax({
            type: "POST",
            url: domain + "Service/UsersWebService.asmx/SGetUserSettings",
            data: JSON.stringify(data),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                console.log(response);
                var userSettings = response.d;
                browser.storage.sync.get(["disableExtension", "growthPrice", "templateSetting"], function (result) {
                    if (result != null) {
                        $scope.checkbox.disableExtension = result.disableExtension


                        $scope.isProfitPrecentage = userSettings.IsProfitPrecentage;
                        $scope.breakEven = userSettings.BreakEven;
                        $scope.profitPercentage = userSettings.ProfitPercentage;
                        $scope.profitCount = userSettings.ProfitCount;
                        $scope.country = userSettings.Country;
                        $scope.setGrowthPrice();
                        $scope.balance = userSettings.Balance;

                        if (result.templateSetting) {
                            $scope.shipping = result.templateSetting.shipping;
                            $scope.payment = result.templateSetting.payment
                            $scope.return = result.templateSetting._return;
                            $scope.backgroundColorHeader = result.templateSetting.backgroundColorHeader;
                            $scope.templateName = result.templateSetting.templateName;


                        }
                        else if (userSettings && userSettings.Shipping) {
                            $scope.shipping = userSettings.Shipping;
                            $scope.payment = userSettings.Payment;
                            $scope.return = userSettings._Return;


                        }

                        $scope.backgroundColorHeader = userSettings.BackgroundColorHeader;
                        $scope.templateName = userSettings.TemplateName;

                        $scope.chooseTemplate($scope.templateName)
                        //$scope.saveTemplateSetting();
                        setStorageTemplateSetting()
                        $scope.$apply()
                    }
                })
            },
            failure: function (response) {
                console.log(response.d);
            }
        });
    }
    function exportToCsv(filename, rows) {
        var processRow = function (row) {
            var finalVal = '';
            for (var j = 0; j < row.length; j++) {
                var innerValue = row[j] === null ? '' : row[j].toString();
                if (row[j] instanceof Date) {
                    innerValue = row[j].toLocaleString();
                };
                var result = innerValue.replace(/"/g, '""');
                if (result.search(/("|,|\n)/g) >= 0)
                    result = '"' + result + '"';
                if (j > 0)
                    finalVal += ',';
                finalVal += result;
            }
            return finalVal + '\n';
        };

        var csvFile = '';
        for (var i = 0; i < rows.length; i++) {
            csvFile += processRow(rows[i]);
        }

        var blob = new Blob([csvFile], { type: 'text/csv;charset=utf-8;' });
        if (navigator.msSaveBlob) { // IE 10+
            navigator.msSaveBlob(blob, filename);
        } else {
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection
                // Browsers that support HTML5 download attribute
                var url = URL.createObjectURL(blob);
                link.setAttribute("href", url);
                link.setAttribute("download", filename);
                link.style.visibility = 'hidden';
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        }
    }

    $scope.buildIdeasTitle = function () {
        browser.runtime.sendMessage({ action: "buildTitle", keyword: $scope.buildTitle }, result => {
            console.log(result);
            var result = result.response.replace('/**/nil(', '').replace(')', '')
            result = JSON.parse(result);
            var htmlli = '<ul class="list-unstyled">';
            result.res.sug.forEach(function (element) {
                htmlli += "<li>" + boldOtherWord($scope.buildTitle, element) + "</li>"
            })
            htmlli += '<ul>';
            $scope.titles = htmlli;
            $scope.$apply();
        });


    }
    function boldOtherWord(buildTitle, element) {
        var html = ''
        var words = element.split(' ');
        words.forEach(function (element) {
            if (buildTitle.indexOf(element) == -1) {
                html += "<span class='bold'>" + element + " </span> "
            }
            else {
                html += "<span>" + element + " </span> "
            }
        })
        return html;
    }
}]);